## gbp-pristine-tar

gbp-pristine-tar — Manage pristine-tar commits in a git repository

## Synopsis

`gbp pristine-tar` [`--version`] [`--help`] [`--verbose`] [`--color=`[auto|on|off]] [`--color-scheme=``COLOR_SCHEME`] [`--upstream-tag=``tag-format`] [`--upstream-signatures=`[auto|on|off]] [`--component=``component`...] [`commit`] `filename`

## DESCRIPTION

gbp pristine-tar adds the pristine-tar commit for a given upstream tarball to a Git repository. This command is typically not invoked manually, as creating new pristine-tar commits is done automatically by e.g. gbp import-orig. This command may howeer be useful if a original tarball has been already imported and the pristine-tar commits should be added at a later time or if you're tracking upstream git and want to create pristine-tar commits nevertheless.

## OPTIONS

`--version` | Print version of the program, i.e. version of the git-buildpackage suite
`-v`, `--verbose` | Verbose execution
`-h`, `--help` | Print help and exit
`--color=`[auto|on|off] | Whether to use colored output.

`--color-scheme=``COLOR_SCHEME`

Colors to use in output (when color is enabled). The format for COLOR_SCHEME is '<debug>:<info>:<warning>:<error>'. Numerical values and color names are accepted, empty fields imply the default color. For example, `--git-color-scheme=``'cyan:34::'` would show debug messages in cyan, info messages in blue and other messages in default (i.e. warning and error messages in red).

`--upstream-tag=``tag-format` | use this tag format when tagging upstream versions, default is `upstream/%(version)s`
`--upstream-signatures=`[auto|on|off] | Whether upstream signatures should be imported as well. off turns this off completely while on always tries to import a signature (which can be useful if you want to fail if e.g. uscan did not fetch a signature). The default auto means to import a signature file if present but do nothing otherwise.

`--component=``COMPONENT`

When creating the pristine-tar commits also look for an additional tarball with component name `COMPONENT`. E.g. in `hello-debhelper_1.0.orig-foo.tar.gz` the component name would be `foo`. The additional tarball is expected to be in the same directory than the upstream tarball and to use the same compression type. This option can be given multiple times to add multiple additional tarballs.

Using additional original tarballs is a feature of the 3.0 (quilt) source format. See the dpkg-source manpage for details. This is currently considered an experimental feature and might change incompatibly.

## EXAMPLES

Add pristine-tar commits for an upstream tarball:

          gbp pristine-tar commit ../upstream-tarball-0.1.tar.gz

Same as above with an additional tarball `../upstream-tarball-foo-0.1.tar.gz:`

          gbp pristine-tar --component-tarball=foo commit ../upstream-tarball-0.1.tar.gz

## CONFIGURATION FILES

Several `gbp.conf` files are parsed to set defaults for the above command-line arguments. See the gbp.conf(5) manpage for details.

## SEE ALSO

gbp-import-orig(1), gbp.conf(5), debuild(1), git(1), pristine-tar(1), The Git-Buildpackage Manual

## AUTHOR

Guido Günther `<agx@sigxcpu.org>`